Subject: bug#13935: 24.3.50; `fullscreen' frame parameter is wrong, on MS Windows at least

From: Jan Djärv <[email-masked]>
Date: Fri, 15 Mar 2013 13:00:27 +0100

Hello.

15 mar 2013 kl. 11:12 skrev Eli Zaretskii <[email-masked]>:

> This was because the 'fullboth' terminology is confusing and tricked
> me into thinking that 'fullboth' value of the 'fullscreen' frame
> parameter means 'fullwidth' and 'fullheight' together.  But in fact,
> 'maximized' is 'fullwidth' and 'fullheight' together, while 'fullboth'
> means the same as 'fullscreen'.  Confusing.
> 

In early versions of the EWMH-specification, there was no fullscreen.  So when both maximize_width an maximize_height where set, windowmanagers did not know if to do fullscreen or maximized. I guess I used a WM that did fullscreen when I wrote this.

      Jan D.